Skip to main content
GET
/
v1
/
companies
/
{cik}
/
topics
/
trending
Trending topics with positive momentum
curl --request GET \
  --url https://api.ivory.finance/v1/companies/{cik}/topics/trending \
  --header 'X-API-Key: <api-key>'
{
  "cik": "<string>",
  "period": {},
  "topics": [
    {
      "id": 123,
      "name": "<string>",
      "slug": "<string>",
      "category": "<string>",
      "mentions": 123,
      "relevance": 123,
      "recent_relevance": 123,
      "trend": "<string>",
      "positive": 123,
      "negative": 123,
      "momentum": 123,
      "affinity": 123,
      "latest_snippet": "<string>",
      "latest_source": {
        "form_type": "<string>",
        "doc_date": "2023-12-25",
        "source_ref": "<string>",
        "source_type": "<string>"
      }
    }
  ],
  "company_name": "<string>",
  "ticker": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

date_from
string<date> | null
date_to
string<date> | null
source_type
string
default:all
category
string | null
limit
integer
default:10
Required range: 1 <= x <= 50

Response

Successful Response

cik
string
required
period
Period · object
required
topics
TopicScore · object[]
required
company_name
string | null
ticker
string | null